REST Resource: instantSnapshotGroups

Resource: InstantSnapshotGroup

Represents an InstantSnapshotGroup resource.

An instant snapshot group is a set of instant snapshots that represents a point in time state of a consistency group.

JSON representation
{
  "kind": string,
  "name": string,
  "description": string,
  "id": string,
  "status": enum,
  "resourceStatus": {
    "consistencyMembershipResolutionTime": string,
    "sourceInfo": {
      "consistencyGroup": string,
      "consistencyGroupId": string
    }
  },
  "creationTimestamp": string,
  "zone": string,
  "region": string,
  "selfLink": string,
  "selfLinkWithId": string,
  "sourceConsistencyGroup": string
}
Fields
kind

string

[Output Only] Type of the resource. Always compute#instantSnapshotGroup for InstantSnapshotGroup resources.

name

string

Identifier. Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

Optional. An optional description of this resource. Provide this property when you create the resource.

id

string (uint64 format)

[Output Only] The unique identifier for the resource. This identifier is defined by the server.

status

enum

[Output Only]

resourceStatus

object

resourceStatus.consistencyMembershipResolutionTime

string (Timestamp format)

[Output Only]

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

resourceStatus.sourceInfo

object

[Output Only]

resourceStatus.sourceInfo.consistencyGroup

string

resourceStatus.sourceInfo.consistencyGroupId

string

creationTimestamp

string

[Output Only] Creation timestamp in RFC3339 text format.

zone

string

[Output Only] URL of the zone where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

region

string

[Output Only] URL of the region where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

sourceConsistencyGroup

string

Methods

delete

deletes a Zonal InstantSnapshotGroup resource

get

returns the specified InstantSnapshotGroup resource in the specified zone.

getIamPolicy

Gets the access control policy for a resource.

insert

inserts a Zonal InstantSnapshotGroup resource

list

retrieves the list of InstantSnapshotGroup resources contained within the specified zone.

setIamPolicy

Sets the access control policy on the specified resource.

testIamPermissions

Returns permissions that a caller has on the specified resource.